zenilib: zenilib/jni/external/freetype2/src/gxvalid/gxvmorx.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
gxvmorx.h File Reference
`#include "gxvalid.h"`
`#include "gxvcommn.h"`
`#include "gxvmort.h"`
`#include <FT_SFNT_NAMES_H>`

Go to the source code of this file.

## Functions

| gxv_morx_subtable_type0_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
| gxv_morx_subtable_type1_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
| gxv_morx_subtable_type2_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
| gxv_morx_subtable_type4_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)
| gxv_morx_subtable_type5_validate (FT_Bytes table, FT_Bytes limit, GXV_Validator valid)

## Function Documentation

gxv_morx_subtable_type0_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

Definition at line 86 of file gxvmorx0.c.

References GXV_EXIT, GXV_GLYPHOFFSET_NONE, GXV_LIMIT_CHECK, gxv_morx_subtable_type0_entry_validate(), GXV_NAME_ENTER, GXV_STATETABLE_HEADER_SIZE, gxv_XStateTable_validate(), and NULL.

Referenced by gxv_morx_subtables_validate().

gxv_morx_subtable_type1_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

Definition at line 240 of file gxvmorx1.c.

References GXV_EXIT, GXV_GLYPHOFFSET_ULONG, GXV_LIMIT_CHECK, gxv_morx_subtable_type1_entry_validate(), GXV_MORX_SUBTABLE_TYPE1_HEADER_SIZE, gxv_morx_subtable_type1_substitutionTable_load(), gxv_morx_subtable_type1_substitutionTable_validate(), gxv_morx_subtable_type1_subtable_setup(), GXV_NAME_ENTER, and gxv_XStateTable_validate().

Referenced by gxv_morx_subtables_validate().

gxv_morx_subtable_type2_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

Definition at line 294 of file gxvmorx2.c.

References GXV_EXIT, GXV_GLYPHOFFSET_USHORT, GXV_LIMIT_CHECK, gxv_morx_subtable_type2_entry_validate(), GXV_MORX_SUBTABLE_TYPE2_HEADER_SIZE, gxv_morx_subtable_type2_ligatureTable_validate(), gxv_morx_subtable_type2_opttable_load(), gxv_morx_subtable_type2_subtable_setup(), GXV_NAME_ENTER, and gxv_XStateTable_validate().

Referenced by gxv_morx_subtables_validate().

gxv_morx_subtable_type4_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

Definition at line 42 of file gxvmorx4.c.

References GXV_EXIT, gxv_mort_subtable_type4_validate(), and GXV_NAME_ENTER.

Referenced by gxv_morx_subtables_validate().

gxv_morx_subtable_type5_validate | ( | FT_Bytes | table,
|  | FT_Bytes | limit,
|  | GXV_Validator | valid
| ) |  |

Definition at line 194 of file gxvmorx5.c.

References GXV_EXIT, GXV_GLYPHOFFSET_ULONG, GXV_LIMIT_CHECK, gxv_morx_subtable_type5_entry_validate(), GXV_MORX_SUBTABLE_TYPE5_HEADER_SIZE, gxv_morx_subtable_type5_insertionGlyphList_load(), gxv_morx_subtable_type5_subtable_setup(), GXV_NAME_ENTER, and gxv_XStateTable_validate().

Referenced by gxv_morx_subtables_validate().